ENT.Type					= "anim"
ENT.Base					= "base_anim"
ENT.RenderGroup             = RENDERGROUP_BOTH
ENT.Spawnable		        =  false
ENT.AdminSpawnable		    =  false

ENT.PrintName		        = "Pizza Dough"
ENT.Author					= "ClemensProduction aka Zerochain"
ENT.Information				= "info"
ENT.Category				= "Zeros PizzaMaker"
ENT.Model                   = "models/zerochain/props_pizza/zpizmak_pizzadough.mdl"

ENT.AutomaticFrameAdvance   = true
ENT.DisableDuplicator		= false

function ENT:SetupDataTables()
	self:NetworkVar( "Int", 0, "CurrentState_Index" )
	self:NetworkVar( "String", 0, "PizzaType" )
	self:NetworkVar( "String", 1, "SelectedRecipe" )

	self:NetworkVar( "Float", 0, "BakeTime" )

	if(SERVER)then
		self:SetBakeTime(0)
        self:SetCurrentState_Index(0)
		self:SetPizzaType("nil")
		self:SetSelectedRecipe("Selected: Nil")
	end
end
